View Issue Details

IDProjectCategoryView StatusLast Update
0003700GNUnettransport servicepublic2019-05-02 14:44
ReporteramatusAssigned Toamatus 
PrioritynormalSeverityminorReproducibilitysometimes
Status feedbackResolutionreopened 
Product VersionSVN HEAD 
Target VersionFixed in Version0.11.0pre66 
Summary0003700: gnunet-transport -in is not reporting all of the connections and sometimes none
DescriptionHere is the output of several runs of 'gnunet-transport -in' in quick succession:

gnunet@gnunet:~$ gnunet-transport -in
Peer `09F3': tcp tcp.0.188.193.8.164:58341
Peer `9QXF': udp udp.0.131.254.145.10:2086
Peer `3V8C': tcp tcp.0.92.225.37.123:46484
Peer `64TF': udp udp.0.79.229.106.18:2086
Peer `7HGS': tcp tcp.0.88.6.41.77:57334
Peer `CVZP': tcp tcp.0.68.186.248.198:48629
Peer `DSTJ': udp udp.0.131.159.74.67:2086
Peer `DZ8N': tcp tcp.0.93.103.95.89:42475
Peer `F1DK': tcp tcp.0.46.186.11.176:54506
Peer `GN10': tcp tcp.0.216.139.213.94:60910
Peer `GN10': tcp tcp.0.104.167.105.252:38432
Peer `QNH8': tcp tcp.0.92.244.6.132:32825
gnunet@gnunet:~$ gnunet-transport -in
Peer `09F3': tcp tcp.0.188.193.8.164:58341
Peer `3V8C': tcp tcp.0.92.225.37.123:46484
Peer `64TF': udp udp.0.79.229.106.18:2086
Peer `9QXF': udp udp.0.131.254.145.10:2086
Peer `7HGS': tcp tcp.0.88.6.41.77:57334
Peer `CVZP': tcp tcp.0.68.186.248.198:48629
Peer `DSTJ': udp udp.0.131.159.74.67:2086
Peer `GN10': tcp tcp.0.216.139.213.94:60910
gnunet@gnunet:~$ gnunet-transport -in
gnunet@gnunet:~$ gnunet-transport -in
Peer `09F3': tcp tcp.0.188.193.8.164:58341
Peer `3V8C': tcp tcp.0.92.225.37.123:46484
Peer `64TF': udp udp.0.79.229.106.18:2086
Peer `7HGS': tcp tcp.0.88.6.41.77:57334
Peer `9QXF': udp udp.0.131.254.145.10:2086
Peer `CVZP': tcp tcp.0.68.186.248.198:48629
Peer `DSTJ': udp udp.0.131.159.74.67:2086
Peer `DZ8N': tcp tcp.0.93.103.95.89:42475
Peer `F1DK': tcp tcp.0.46.186.11.176:54506
Peer `GN10': tcp tcp.0.216.139.213.94:60910
Peer `GN10': tcp tcp.0.104.167.105.252:38432
Peer `QNH8': tcp tcp.0.92.244.6.132:32825

I don't think the connections are coming and going that quickly as 'gnunet-transport -m' doesn't show that much activity.
TagsNo tags attached.

Relationships

related to 0005710 assignedChristian Grothoff TNG meta issue 

Activities

amatus

2015-11-21 17:58

developer   ~0009939

Fixed in revision 36679.

amatus

2016-11-02 18:57

developer   ~0011400

This is happening again!

Issue History

Date Modified Username Field Change
2015-03-03 17:22 amatus New Issue
2015-03-03 17:22 amatus Status new => assigned
2015-03-03 17:22 amatus Assigned To => Matthias Wachs
2015-03-07 20:38 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-03-07 20:38 Christian Grothoff Target Version => 0.11.0
2015-11-21 17:58 amatus Note Added: 0009939
2015-11-21 17:58 amatus Assigned To Christian Grothoff => amatus
2015-11-21 17:58 amatus Status assigned => resolved
2015-11-21 17:58 amatus Resolution open => fixed
2015-11-21 17:58 amatus Fixed in Version => 0.11.0pre66
2015-11-21 17:58 amatus Target Version 0.11.0 => 0.11.0pre66
2016-11-02 18:57 amatus Note Added: 0011400
2016-11-02 18:57 amatus Status resolved => feedback
2016-11-02 18:57 amatus Resolution fixed => reopened
2017-02-22 21:50 Christian Grothoff Target Version 0.11.0pre66 =>
2019-05-02 14:44 Christian Grothoff Relationship added related to 0005710